use once_cell::sync::Lazy;
use serde::Deserialize;

#[derive(Deserialize, Debug)]
pub struct Config {
    #[serde(default = "default_backend_url")]
    pub backend_url: String,
}

fn default_backend_url() -> String {
    "https://app.prymn.net".to_string()
}

pub static CONFIG: Lazy<Config> =
    Lazy::new(|| match envy::prefixed("PRYMN_").from_env::<Config>() {
        Ok(config) => config,
        Err(_) => todo!("handle this error"),
    });
